- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnKeyframeDelta Class Reference

# OpenMayaAnim - API module for animation | FunctionSet classes

Search for all occurrences

## Detailed Description

Base function set for keyframe deltas.

Keyframe delta objects are returned via the MAnimMessage::animKeyframeEditedCallback( ... ). They describe atomic changes to keyframes as a result of a curve edit operation. Refer to the documentation in MAnimMessage class for further information.

Base function set for all keyframe delta objects. A keyframe delta object is generated from the MAnimMessage::addAnimKeyframeEditedCallback.

`#include <MFnKeyframeDelta.h>`

Inheritance diagram for MFnKeyframeDelta:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnKeyframeDelta ()
| Destructor.
| MFnKeyframeDelta ()
| Default constructor.
| MFnKeyframeDelta (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
MObject | paramCurve (MStatus *ReturnStatus=NULL) const
| Return the Animation Curve MObject that this key belongs to.
virtual unsigned int | keyIndex (MStatus *ReturnStatus=NULL) const
| The index of this key on the animation curve.
| MFnKeyframeDelta (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name. Search for all occurrences

## Constructor & Destructor Documentation

MFnKeyframeDelta | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnKeyframeDelta | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kKeyframeDelta.

Reimplemented from MFnBase.

Reimplemented in MFnKeyframeDeltaAddRemove, MFnKeyframeDeltaBlockAddRemove, MFnKeyframeDeltaBreakdown, MFnKeyframeDeltaInfType, MFnKeyframeDeltaMove, MFnKeyframeDeltaScale, MFnKeyframeDeltaTangent, and MFnKeyframeDeltaWeighted.

MObject paramCurve | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Return the Animation Curve MObject that this key belongs to.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  A MObject, readable by MFnAnimCurve.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

unsigned int keyIndex | ( | MStatus * | ReturnStatus = `NULL` | ) | const `[virtual]`

Search for all occurrences

The index of this key on the animation curve.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  An unsigned int representing the position of the key on the curve.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.
  - MS::kInvalidParameter key index is not available for this delta object.

Reimplemented in MFnKeyframeDeltaAddRemove, and MFnKeyframeDeltaMove.

MFnKeyframeDelta MFnKeyframeDelta MFnKeyframeDelta MFnKeyframeDelta MFnKeyframeDelta MFnKeyframeDelta MFnKeyframeDelta MFnKeyframeDelta MFnKeyframeDelta MFnKeyframeDelta
MFnKeyframeDelta MFnKeyframeDelta MFnKeyframeDelta MFnKeyframeDelta MFnKeyframeDelta MFnKeyframeDelta MFnKeyframeDelta MFnKeyframeDelta MFnKeyframeDelta MFnKeyframeDelta